Location: njsf@xxxxxxxxxxxxxxxxx
http://sxemacs.homeip.net:4080/njsf-arch/sxemacs/2008
Revision: sxemacs--njsf--22.1.9--patch-184
Archive: njsf@xxxxxxxxxxxxxxxxx
Creator: Nelson Ferreira <njsf@xxxxxxxxxxx>
Date: Mon Jun 2 01:19:42 EDT 2008
Standard-date: 2008-06-02 05:19:42 GMT
Modified-files: contrib/report-build-failure.sh
New-patches: njsf@xxxxxxxxxxxxxxxxx/sxemacs--njsf--22.1.9--patch-184
Summary: The final fix for uuencode in report-build-failure.
Keywords: contrib,report-build-failure,bugfix,uuencode
* contrib/report-build-failure.sh: Also lookup sed, because it will be
need to fixup uuencode output. Exit if using uuencode and no sed
found. Add a filter to the output to remove the first and last line of
the uuencode output, and any empty lines.
* added files
{arch}/sxemacs/sxemacs--njsf/sxemacs--njsf--22.1.9/njsf@xxxxxxxxxxxxxxxxx/patch-log/patch-184
* modified files
--- orig/contrib/report-build-failure.sh
+++ mod/contrib/report-build-failure.sh
@@ -17,13 +17,20 @@
type tar >/dev/null 2>&1 && TAR=tar
type cat >/dev/null 2>&1 && CAT=cat
type base64 >/dev/null 2>&1 && BASE64=base64
+type sed >/dev/null 2>&1 && SED=sed
+FILTER=cat
ENCODING=base64
attachment="build-failure-$FROM.tar.gz"
if [ -z "${BASE64}" ]; then
type uuencode >/dev/null 2>&1 && BASE64=uuencode
if [ -n "${BASE64}" ]; then
+ if [ -z "${SED}" ]; then
+ echo "sed was not found and is required when base64 is replaced by
uuencode"
+ exit 1
+ fi
# Test if this uuencode can actually base64 encode like
# in BSD's and MacOS
+ FILTER="${SED} -e s/^begin.*644.*\$// -e s/^end\$// -e s/^====\$// -e
/^\$/d "
if [ -n "$(echo test | ${BASE64} -m test 2>/dev/null )" ]; then
BASE64="${BASE64} -m ${attachment}"
else
@@ -216,6 +223,6 @@
Content-Transfer-Encoding: $ENCODING
EOF
-${TAR} czf - $FILES | ${BASE64}
+${TAR} czf - $FILES | ${BASE64} | ${FILTER}
echo ""
echo "--$boundary--" ) | $SENDMAIL -t
|